<EntityClassDefinition.Fusebox_keypad_freestanding_template __id="d3c9c3f7-c015-46e5-ab05-c6d5952d9f94" __path="libs/foundry/records/entities/scitem/usables/fusebox_keypad_freestanding_template.xml" __type="EntityClassDefinition" BBoxSelection="0" Category="Default" entityDensityClass="00000000-0000-0000-0000-000000000000" Icon="Usable.bmp" Invisible="0">
  <Components>
    <SGeometryResourceParams __type="DataForgeComponentParams" __polymorphicType="SGeometryResourceParams" cacheResources="0" inheritModelTagFromHost="1" ModelTag="None" rootOverridePaint="0">
      <Geometry __type="SGeometryNodeParams" ScaleMultiplier="1.0" Tags="">
        <Geometry __type="SGeometryDataParams" AttachFlags="0" BBoxJoint="" BBoxRadius="0.0" Damage="0.0" DeformerType="Standard" Dirt="0.0" EnableDecalProjection="0" Interference="0.0" MaterialAttachments="" ModifiersPath="" ProtosBShapeExclude="0" ProxyCDFPath="" SimulationGeometry="None" Slot="Main" SunShadowMode="Upto_400m" viewDistRatio="00000000-0000-0000-0000-000000000000" VisAreaMode="AABB_Center" VisFP="1" VisSecondaryViews="1" VisShadow="1" VisTP="1" Wear="0.0" WrinkleMap="0">
          <Geometry __type="GlobalResourceBase" __polymorphicType="GlobalResourceGeometry" path="Objects/buildingsets/human/lowtech/prop/utilitarian/interactive/fusebox/fusebox_freestanding_1_a.cga" />
          <Material __type="GlobalResourceBase" __polymorphicType="GlobalResourceMaterial" path="" />
          <Palette __type="TintPaletteRef" ChildPath="" RootRecord="00000000-0000-0000-0000-000000000000" />
        </Geometry>
        <SubGeometry />
      </Geometry>
      <Material __type="SMaterialNodeParams" Tags="">
        <Material __type="GlobalResourceBase" __polymorphicType="GlobalResourceMaterial" path="" />
        <materialVariants />
        <Palette __type="TintPaletteRef" ChildPath="" RootRecord="00000000-0000-0000-0000-000000000000" />
      </Material>
    </SGeometryResourceParams>
    <SEntityPhysicsControllerParams __type="DataForgeComponentParams" __polymorphicType="SEntityPhysicsControllerParams">
      <PhysType __type="SEntityBasePhysicsControllerParams" __polymorphicType="SEntityRigidPhysicsControllerParams" BlocksNavigation="1" breakableParams="None" buoyancyParams="None" Damping="0.0" DampingFreefall="0.05000000074505806" EnableCrossGridChecks="0" gameCollisionClass="None" grid="None" Kinematic="0" Mass="0.0" maxLoggedCollisions="1" NeverAffectTriggers="0" physicalizeAllSlots="1" PushableByPlayers="1" Resting="0" UseManualGridTransition="0">
        <temperature __type="EntityTemperature" enable="0" initialTemperature="-1.0" internalTemperatureGeneration="0.0" />
      </PhysType>
    </SEntityPhysicsControllerParams>
    <UIOwnerEntityComponentParams __type="DataForgeComponentParams" __polymorphicType="UIOwnerEntityComponentParams" areScreens3D="0" areSounds3D="0" domainName="global" element="235bfc85-aa63-4fd5-b5d1-821fb3522a39" forceFlashColourCorrection="0" graph="00000000-0000-0000-0000-000000000000" hasActions="0" ignoreTrackviewUnloadRequests="0" invariantName="" loadDistance="10.0" loopMovie="0" movieAutoPlay="0" moviePath="" reflectLinkedStateMachines="0" reflectLocalStateMachine="0" startOpen="1" updateDistance="8.0" variantName="" />
    <UIRenderToTextureEntityComponentParams __type="DataForgeComponentParams" __polymorphicType="UIRenderToTextureEntityComponentParams" aspectRatioOverride="0.0" compositeMaterialName="" directRenderStage="None" fallbackTextureOnOnload="" fieldOfView="90.0" grabCameraControlParams="00000000-0000-0000-0000-000000000000" hideRenderNodeOnUnload="0" interactionDistance="5.0" pickableCollision="Opaque" renderFlashBeforeCamera="0" renderType="FORWARD" secondaryTarget="None" transparentListDepthBias="0.0" />
    <UIBindingsInteractionsComponentParams __type="DataForgeComponentParams" __polymorphicType="UIBindingsInteractionsComponentParams" interactionDistance="50.0" />
    <UIBindingsVendorEntityComponentParams __type="DataForgeComponentParams" __polymorphicType="UIBindingsVendorEntityComponentParams" namespace="" />
    <UIBindingsConsumerEntityComponentParams __type="DataForgeComponentParams" __polymorphicType="UIBindingsConsumerEntityComponentParams" linkToPort="0" />
    <UIBuildingBlocksEntityComponentParams __type="DataForgeComponentParams" __polymorphicType="UIBuildingBlocksEntityComponentParams" defaultStyle="00000000-0000-0000-0000-000000000000" enableFullScreenMouse="0">
      <layers>
        <BuildingBlocksLayer __type="BuildingBlocksLayer" layerName="Keypad" renderTarget="All">
          <defaultView __type="BuildingBlocksView" name="Keypad">
            <component __type="CtxGraph_Component" __polymorphicType="UIGraph_BuildingBlocksContextComponent" canvas="1d19dd90-87b9-4cb9-b693-47b71f39fdef" />
          </defaultView>
          <views>
            <BuildingBlocksView __type="BuildingBlocksView" component="structInstance_UIGraph_BuildingBlocksContextComponent_props:1" name="Keypad" />
          </views>
        </BuildingBlocksLayer>
      </layers>
    </UIBuildingBlocksEntityComponentParams>
    <SEntityInteractableParams __type="DataForgeComponentParams" __polymorphicType="SEntityInteractableParams">
      <Interactable __type="SInteractableParams" menuTitle="None">
        <actionHandlerTasks />
        <InteractionPoints>
          <SInteractionPointParams __type="SInteractionPointParams" ApplyToEntireSkeleton="0" FirstInteractionPrimary="1" HelperName="mesh_interaction_1" longRangeIP="0" MaxCursorScreenDistance="2.0" OnlySelectableInLookDir="0" Radius="2.0" ShowHighlight="1" ShowInnerThoughtsOffScreen="0" ShowInteractionTextAtCursorPos="0" SpherePrimitive="None" TextJustification="Middle" TextOrientation="RotateToPlayer" TextScale="1.0" UseHelperLocation="0" UseHorizontalDistance="0">
            <AdditionalCollisionBones />
            <AngleConstraint __type="SAngleConstraint" angleRange="181.0">
              <forwardDirOffset __type="Vec3" x="0.0" y="0.0" z="0.0" />
            </AngleConstraint>
            <HighlightBehaviors />
            <Interactions>
              <SInteractionParams __type="SInteractionParams" DisplayName="@interaction_open" IsPrimary="1">
                <Interaction __type="SSharedInteractionParams" available="1" conditionList="None" DisplayName="@interaction_open" DisplayType="Show" FocusModeOnly="0" GenericCursor="SingleAction" InheritsConditionDisplaysThroughLinks="0" Linkable="0" LinkingTag="00000000-0000-0000-0000-000000000000" LockedByLinks="0" Name="Open" RequiresAuthorizedUser="0" RoomTag="00000000-0000-0000-0000-000000000000" Sendable="0" UsableTag="00000000-0000-0000-0000-000000000000">
                  <QueryTags />
                </Interaction>
              </SInteractionParams>
              <SInteractionParams __type="SInteractionParams" DisplayName="@interaction_close" IsPrimary="0">
                <Interaction __type="SSharedInteractionParams" available="1" conditionList="None" DisplayName="@interaction_close" DisplayType="Show" FocusModeOnly="0" GenericCursor="SingleAction" InheritsConditionDisplaysThroughLinks="0" Linkable="0" LinkingTag="00000000-0000-0000-0000-000000000000" LockedByLinks="0" Name="Close" RequiresAuthorizedUser="0" RoomTag="00000000-0000-0000-0000-000000000000" Sendable="0" UsableTag="00000000-0000-0000-0000-000000000000">
                  <QueryTags />
                </Interaction>
              </SInteractionParams>
              <SInteractionParams __type="SInteractionParams" DisplayName="@LOC_EMPTY" IsPrimary="0">
                <Interaction __type="SSharedInteractionParams" available="1" DisplayName="@ui_interactor_locked" DisplayType="Show" FocusModeOnly="0" GenericCursor="SingleAction" InheritsConditionDisplaysThroughLinks="0" Linkable="0" LinkingTag="03c490df-45c1-4589-887d-605ffb64fbf5" LockedByLinks="0" Name="LockedDisplay" RequiresAuthorizedUser="0" RoomTag="00000000-0000-0000-0000-000000000000" Sendable="1" UsableTag="00000000-0000-0000-0000-000000000000">
                  <conditionList __type="InteractionConditionList">
                    <conditionParams>
                      <InteractionConditionInteractionStateMachineTag __type="InteractionConditionParams" __polymorphicType="InteractionConditionInteractionStateMachineTag">
                        <conditionDisplay __type="ConditionDisplayParams" autoStoreOption="None" blockedHint="None" blockedText="None" exclusiveDisplay="0">
                          <blockedColor __type="BlockedColorParams" applyImmediately="1" selectedColor="c6688c07-0987-4e85-82b7-04458356db8a" unselectedColor="902844b1-8817-4b46-8770-045beee67ce0" />
                          <blockedCursor __type="BlockedCursorParams" blockedCursor="Invalid" />
                        </conditionDisplay>
                        <stateTags __type="TagList">
                          <tags e5e348ca-7752-4930-8a50-874f34dca55e="e5e348ca-7752-4930-8a50-874f34dca55e" />
                        </stateTags>
                      </InteractionConditionInteractionStateMachineTag>
                    </conditionParams>
                    <conditionToHideParams />
                    <presetList />
                  </conditionList>
                  <QueryTags />
                </Interaction>
              </SInteractionParams>
            </Interactions>
            <Offset __type="QuatT">
              <Position __type="Vec3" x="0.0" y="0.0" z="0.0" />
              <Rotation __type="Ang3" x="0.0" y="0.0" z="0.0" />
            </Offset>
          </SInteractionPointParams>
        </InteractionPoints>
        <interactionTasks>
          <SSequencerInteractionTask __type="SSequencerDefTaskParams" __polymorphicType="SSequencerInteractionTask" interaction="KeypadSuccess" triggerType="Self" />
          <SSequencerInteractionTask __type="SSequencerDefTaskParams" __polymorphicType="SSequencerInteractionTask" interaction="UnlockTrigger" triggerType="Self" />
        </interactionTasks>
        <itemActionTasks />
        <SharedInteractions>
          <SSharedInteractionParams __type="SSharedInteractionParams" available="1" conditionList="None" DisplayName="@usable_use" DisplayType="Show" FocusModeOnly="0" GenericCursor="SingleAction" InheritsConditionDisplaysThroughLinks="0" Linkable="0" LinkingTag="e5fbe2d8-71fb-4451-9f65-e7673bc7cc0f" LockedByLinks="0" Name="KeypadSuccess" RequiresAuthorizedUser="0" RoomTag="00000000-0000-0000-0000-000000000000" Sendable="1" UsableTag="00000000-0000-0000-0000-000000000000">
            <QueryTags />
          </SSharedInteractionParams>
          <SSharedInteractionParams __type="SSharedInteractionParams" available="1" conditionList="None" DisplayName="@interaction_open" DisplayType="Show" FocusModeOnly="0" GenericCursor="SingleAction" InheritsConditionDisplaysThroughLinks="0" Linkable="0" LinkingTag="00000000-0000-0000-0000-000000000000" LockedByLinks="0" Name="Open" RequiresAuthorizedUser="0" RoomTag="00000000-0000-0000-0000-000000000000" Sendable="0" UsableTag="00000000-0000-0000-0000-000000000000">
            <QueryTags />
          </SSharedInteractionParams>
          <SSharedInteractionParams __type="SSharedInteractionParams" available="1" conditionList="None" DisplayName="@interaction_close" DisplayType="Show" FocusModeOnly="0" GenericCursor="SingleAction" InheritsConditionDisplaysThroughLinks="0" Linkable="0" LinkingTag="00000000-0000-0000-0000-000000000000" LockedByLinks="0" Name="Close" RequiresAuthorizedUser="0" RoomTag="00000000-0000-0000-0000-000000000000" Sendable="0" UsableTag="00000000-0000-0000-0000-000000000000">
            <QueryTags />
          </SSharedInteractionParams>
          <SSharedInteractionParams __type="SSharedInteractionParams" available="1" conditionList="None" DisplayName="@usable_use" DisplayType="Show" FocusModeOnly="0" GenericCursor="SingleAction" InheritsConditionDisplaysThroughLinks="0" Linkable="1" LinkingTag="e5fbe2d8-71fb-4451-9f65-e7673bc7cc0f" LockedByLinks="0" Name="OnUnlocked" RequiresAuthorizedUser="0" RoomTag="00000000-0000-0000-0000-000000000000" Sendable="0" UsableTag="00000000-0000-0000-0000-000000000000">
            <QueryTags />
          </SSharedInteractionParams>
          <SSharedInteractionParams __type="SSharedInteractionParams" available="1" conditionList="classReference_structure:InteractionConditionList" DisplayName="@ui_interactor_locked" DisplayType="Show" FocusModeOnly="0" GenericCursor="SingleAction" InheritsConditionDisplaysThroughLinks="0" Linkable="0" LinkingTag="03c490df-45c1-4589-887d-605ffb64fbf5" LockedByLinks="0" Name="LockedDisplay" RequiresAuthorizedUser="0" RoomTag="00000000-0000-0000-0000-000000000000" Sendable="1" UsableTag="00000000-0000-0000-0000-000000000000">
            <QueryTags />
          </SSharedInteractionParams>
          <SSharedInteractionParams __type="SSharedInteractionParams" available="1" conditionList="None" DisplayName="@usable_use" DisplayType="Show" FocusModeOnly="0" GenericCursor="SingleAction" InheritsConditionDisplaysThroughLinks="0" Linkable="1" LinkingTag="3e6acc91-4819-4293-8c67-5ba388e1cdf2" LockedByLinks="0" Name="UnlockTrigger" RequiresAuthorizedUser="0" RoomTag="00000000-0000-0000-0000-000000000000" Sendable="1" UsableTag="00000000-0000-0000-0000-000000000000">
            <QueryTags />
          </SSharedInteractionParams>
        </SharedInteractions>
      </Interactable>
    </SEntityInteractableParams>
    <SInteractionStateMachineParams __type="DataForgeComponentParams" __polymorphicType="SInteractionStateMachineParams">
      <StateTypes>
        <SInteractionStateType __type="SInteractionStateType" bindingsMethod="States" networkAuthority="Server" StateTypeName="KeypadScreen">
          <DefaultState __type="SInteractionState" enterGeometryTags="" EnterStateEffectGroup="" EnterStatePlaySequence="None" ExitStateEffectGroup="" ExitStatePlaySequence="None" StateAutoChange="None" StateName="Main">
            <EnterEventDispatchers />
            <enterStateEffectTags />
            <entityTags __type="TagList">
              <tags />
            </entityTags>
            <exitStateEffectTags />
            <Interactions />
            <stateTags __type="TagList">
              <tags />
            </stateTags>
          </DefaultState>
          <StateModifiers>
            <SKeypadStateModifier __type="SStateModifier" __polymorphicType="SKeypadStateModifier">
              <onKeycodeFailState __type="SInteractionState" enterGeometryTags="" EnterStateEffectGroup="" EnterStatePlaySequence="None" ExitStateEffectGroup="" ExitStatePlaySequence="None" StateName="ResetKeypadDelay_Fail">
                <EnterEventDispatchers />
                <enterStateEffectTags />
                <entityTags __type="TagList">
                  <tags />
                </entityTags>
                <exitStateEffectTags />
                <Interactions />
                <StateAutoChange __type="SStateAutoChange" Delay="3.0">
                  <NextState __type="SInteractionState" enterGeometryTags="" EnterStateEffectGroup="" EnterStatePlaySequence="None" entityTags="structInstance_TagList_props:1" ExitStateEffectGroup="" ExitStatePlaySequence="None" StateAutoChange="None" StateName="Reset" stateTags="structInstance_TagList_props:1">
                    <EnterEventDispatchers />
                    <enterStateEffectTags />
                    <exitStateEffectTags />
                    <Interactions />
                  </NextState>
                </StateAutoChange>
                <stateTags __type="TagList">
                  <tags />
                </stateTags>
              </onKeycodeFailState>
              <onKeycodeSuccessState __type="SInteractionState" enterGeometryTags="" EnterStateEffectGroup="" ExitStateEffectGroup="" ExitStatePlaySequence="None" StateName="ResetKeypadDelay_Success">
                <EnterEventDispatchers />
                <enterStateEffectTags />
                <EnterStatePlaySequence __type="SSequencerDefSequenceParams" __polymorphicType="SReplicatedSequencerDefSequenceParams" name="KeypadSuccess">
                  <interaction __type="SSharedInteractionParams" available="1" conditionList="None" DisplayName="@usable_use" DisplayType="Show" FocusModeOnly="0" GenericCursor="SingleAction" InheritsConditionDisplaysThroughLinks="0" Linkable="0" LinkingTag="e5fbe2d8-71fb-4451-9f65-e7673bc7cc0f" LockedByLinks="0" Name="KeypadSuccess" RequiresAuthorizedUser="0" RoomTag="00000000-0000-0000-0000-000000000000" Sendable="1" UsableTag="00000000-0000-0000-0000-000000000000">
                    <QueryTags />
                  </interaction>
                  <taskEntries>
                    <SSequencerSequenceTaskEntryParams __type="SSequencerSequenceTaskEntryParams" haltOnFailure="1" postDelay="0.0">
                      <dependentTasks />
                      <task __type="SSequencerDefTaskParams" __polymorphicType="SSequencerInteractionTask" interaction="KeypadSuccess" triggerType="Self" />
                    </SSequencerSequenceTaskEntryParams>
                  </taskEntries>
                </EnterStatePlaySequence>
                <entityTags __type="TagList">
                  <tags />
                </entityTags>
                <exitStateEffectTags />
                <Interactions />
                <StateAutoChange __type="SStateAutoChange" Delay="3.0">
                  <NextState __type="SInteractionState" enterGeometryTags="" EnterStateEffectGroup="" EnterStatePlaySequence="None" entityTags="structInstance_TagList_props:1" ExitStateEffectGroup="" ExitStatePlaySequence="None" StateAutoChange="None" StateName="Reset" stateTags="structInstance_TagList_props:1">
                    <EnterEventDispatchers />
                    <enterStateEffectTags />
                    <exitStateEffectTags />
                    <Interactions />
                  </NextState>
                </StateAutoChange>
                <stateTags __type="TagList">
                  <tags />
                </stateTags>
              </onKeycodeSuccessState>
            </SKeypadStateModifier>
          </StateModifiers>
          <States>
            <SInteractionState __type="SInteractionState" enterGeometryTags="" EnterStateEffectGroup="" EnterStatePlaySequence="None" entityTags="structInstance_TagList_props:1" ExitStateEffectGroup="" ExitStatePlaySequence="None" StateAutoChange="None" StateName="Main" stateTags="structInstance_TagList_props:1">
              <EnterEventDispatchers />
              <enterStateEffectTags />
              <exitStateEffectTags />
              <Interactions />
            </SInteractionState>
            <SInteractionState __type="SInteractionState" enterGeometryTags="" EnterStateEffectGroup="" EnterStatePlaySequence="classReference_structure:SReplicatedSequencerDefSequenceParams" entityTags="structInstance_TagList_props:1" ExitStateEffectGroup="" ExitStatePlaySequence="None" StateAutoChange="classReference_structure:SStateAutoChange" StateName="ResetKeypadDelay_Success" stateTags="structInstance_TagList_props:1">
              <EnterEventDispatchers />
              <enterStateEffectTags />
              <exitStateEffectTags />
              <Interactions />
            </SInteractionState>
            <SInteractionState __type="SInteractionState" enterGeometryTags="" EnterStateEffectGroup="" EnterStatePlaySequence="None" entityTags="structInstance_TagList_props:1" ExitStateEffectGroup="" ExitStatePlaySequence="None" StateAutoChange="classReference_structure:SStateAutoChange" StateName="ResetKeypadDelay_Fail" stateTags="structInstance_TagList_props:1">
              <EnterEventDispatchers />
              <enterStateEffectTags />
              <exitStateEffectTags />
              <Interactions />
            </SInteractionState>
            <SInteractionState __type="SInteractionState" enterGeometryTags="" EnterStateEffectGroup="" EnterStatePlaySequence="None" entityTags="structInstance_TagList_props:1" ExitStateEffectGroup="" ExitStatePlaySequence="None" StateAutoChange="None" StateName="Reset" stateTags="structInstance_TagList_props:1">
              <EnterEventDispatchers />
              <enterStateEffectTags />
              <exitStateEffectTags />
              <Interactions />
            </SInteractionState>
          </States>
        </SInteractionStateType>
        <SInteractionStateType __type="SInteractionStateType" bindingsMethod="States" networkAuthority="Server" StateTypeName="DoorStates">
          <DefaultState __type="SInteractionState" enterGeometryTags="" EnterStateEffectGroup="" EnterStatePlaySequence="None" ExitStateEffectGroup="" ExitStatePlaySequence="None" StateAutoChange="None" StateName="Locked">
            <EnterEventDispatchers />
            <enterStateEffectTags 0f3f7525-7177-471e-91b4-2d4e76682148="0f3f7525-7177-471e-91b4-2d4e76682148" />
            <entityTags __type="TagList">
              <tags />
            </entityTags>
            <exitStateEffectTags />
            <Interactions>
              <SInteractionStateTransition __type="SInteractionStateTransition" NextState="None">
                <Interaction __type="SSharedInteractionParams" available="1" conditionList="classReference_structure:InteractionConditionList" DisplayName="@ui_interactor_locked" DisplayType="Show" FocusModeOnly="0" GenericCursor="SingleAction" InheritsConditionDisplaysThroughLinks="0" Linkable="0" LinkingTag="03c490df-45c1-4589-887d-605ffb64fbf5" LockedByLinks="0" Name="LockedDisplay" RequiresAuthorizedUser="0" RoomTag="00000000-0000-0000-0000-000000000000" Sendable="1" UsableTag="00000000-0000-0000-0000-000000000000">
                  <QueryTags />
                </Interaction>
              </SInteractionStateTransition>
              <SInteractionStateTransition __type="SInteractionStateTransition">
                <Interaction __type="SSharedInteractionParams" available="1" conditionList="None" DisplayName="@usable_use" DisplayType="Show" FocusModeOnly="0" GenericCursor="SingleAction" InheritsConditionDisplaysThroughLinks="0" Linkable="0" LinkingTag="e5fbe2d8-71fb-4451-9f65-e7673bc7cc0f" LockedByLinks="0" Name="KeypadSuccess" RequiresAuthorizedUser="0" RoomTag="00000000-0000-0000-0000-000000000000" Sendable="1" UsableTag="00000000-0000-0000-0000-000000000000">
                  <QueryTags />
                </Interaction>
                <NextState __type="SInteractionState" enterGeometryTags="" EnterStateEffectGroup="" EnterStatePlaySequence="None" entityTags="structInstance_TagList_props:1" ExitStateEffectGroup="" ExitStatePlaySequence="None" StateAutoChange="None" StateName="Unlocked" stateTags="structInstance_TagList_props:1">
                  <EnterEventDispatchers />
                  <enterStateEffectTags />
                  <exitStateEffectTags />
                  <Interactions>
                    <SInteractionStateTransition>classReference_structure:SInteractionStateTransition</SInteractionStateTransition>
                  </Interactions>
                </NextState>
              </SInteractionStateTransition>
              <SInteractionStateTransition __type="SInteractionStateTransition">
                <Interaction __type="SSharedInteractionParams" available="1" conditionList="None" DisplayName="@usable_use" DisplayType="Show" FocusModeOnly="0" GenericCursor="SingleAction" InheritsConditionDisplaysThroughLinks="0" Linkable="1" LinkingTag="3e6acc91-4819-4293-8c67-5ba388e1cdf2" LockedByLinks="0" Name="UnlockTrigger" RequiresAuthorizedUser="0" RoomTag="00000000-0000-0000-0000-000000000000" Sendable="1" UsableTag="00000000-0000-0000-0000-000000000000">
                  <QueryTags />
                </Interaction>
                <NextState __type="SInteractionState" enterGeometryTags="" EnterStateEffectGroup="" EnterStatePlaySequence="None" entityTags="structInstance_TagList_props:1" ExitStateEffectGroup="" ExitStatePlaySequence="None" StateAutoChange="None" StateName="Unlocked" stateTags="structInstance_TagList_props:1">
                  <EnterEventDispatchers />
                  <enterStateEffectTags />
                  <exitStateEffectTags />
                  <Interactions>
                    <SInteractionStateTransition>classReference_structure:SInteractionStateTransition</SInteractionStateTransition>
                  </Interactions>
                </NextState>
              </SInteractionStateTransition>
            </Interactions>
            <stateTags __type="TagList">
              <tags />
            </stateTags>
          </DefaultState>
          <StateModifiers />
          <States>
            <SInteractionState __type="SInteractionState" enterGeometryTags="" EnterStateEffectGroup="" EnterStatePlaySequence="None" entityTags="structInstance_TagList_props:1" ExitStateEffectGroup="" ExitStatePlaySequence="None" StateAutoChange="None" StateName="Locked" stateTags="structInstance_TagList_props:1">
              <EnterEventDispatchers />
              <enterStateEffectTags 0f3f7525-7177-471e-91b4-2d4e76682148="0f3f7525-7177-471e-91b4-2d4e76682148" />
              <exitStateEffectTags />
              <Interactions>
                <SInteractionStateTransition>classReference_structure:SInteractionStateTransition</SInteractionStateTransition>
                <SInteractionStateTransition>classReference_structure:SInteractionStateTransition</SInteractionStateTransition>
                <SInteractionStateTransition>classReference_structure:SInteractionStateTransition</SInteractionStateTransition>
              </Interactions>
            </SInteractionState>
            <SInteractionState __type="SInteractionState" enterGeometryTags="" EnterStateEffectGroup="" EnterStatePlaySequence="None" entityTags="structInstance_TagList_props:1" ExitStateEffectGroup="" ExitStatePlaySequence="None" StateAutoChange="None" StateName="Unlocked" stateTags="structInstance_TagList_props:1">
              <EnterEventDispatchers />
              <enterStateEffectTags />
              <exitStateEffectTags />
              <Interactions>
                <SInteractionStateTransition>classReference_structure:SInteractionStateTransition</SInteractionStateTransition>
              </Interactions>
            </SInteractionState>
            <SInteractionState __type="SInteractionState" enterGeometryTags="" EnterStateEffectGroup="" EnterStatePlaySequence="None" ExitStateEffectGroup="" ExitStatePlaySequence="None" StateName="Opening">
              <EnterEventDispatchers />
              <enterStateEffectTags 03228d89-5cf3-42cd-9ece-936d37cd6da2="03228d89-5cf3-42cd-9ece-936d37cd6da2" />
              <entityTags __type="TagList">
                <tags />
              </entityTags>
              <exitStateEffectTags />
              <Interactions />
              <StateAutoChange __type="SStateAutoChange" Delay="0.0">
                <NextState __type="SInteractionState" enterGeometryTags="" EnterStateEffectGroup="" EnterStatePlaySequence="None" entityTags="structInstance_TagList_props:1" ExitStateEffectGroup="" ExitStatePlaySequence="None" StateAutoChange="None" StateName="Opened" stateTags="structInstance_TagList_props:1">
                  <EnterEventDispatchers />
                  <enterStateEffectTags 03228d89-5cf3-42cd-9ece-936d37cd6da2="03228d89-5cf3-42cd-9ece-936d37cd6da2" />
                  <exitStateEffectTags />
                  <Interactions>
                    <SInteractionStateTransition>classReference_structure:SInteractionStateTransition</SInteractionStateTransition>
                  </Interactions>
                </NextState>
              </StateAutoChange>
              <stateTags __type="TagList">
                <tags />
              </stateTags>
            </SInteractionState>
            <SInteractionState __type="SInteractionState" enterGeometryTags="" EnterStateEffectGroup="" EnterStatePlaySequence="None" entityTags="structInstance_TagList_props:1" ExitStateEffectGroup="" ExitStatePlaySequence="None" StateAutoChange="None" StateName="Opened" stateTags="structInstance_TagList_props:1">
              <EnterEventDispatchers />
              <enterStateEffectTags 03228d89-5cf3-42cd-9ece-936d37cd6da2="03228d89-5cf3-42cd-9ece-936d37cd6da2" />
              <exitStateEffectTags />
              <Interactions>
                <SInteractionStateTransition>classReference_structure:SInteractionStateTransition</SInteractionStateTransition>
              </Interactions>
            </SInteractionState>
            <SInteractionState __type="SInteractionState" enterGeometryTags="" EnterStateEffectGroup="" EnterStatePlaySequence="None" ExitStateEffectGroup="" ExitStatePlaySequence="None" StateName="Closing">
              <EnterEventDispatchers />
              <enterStateEffectTags 03228d89-5cf3-42cd-9ece-936d37cd6da2="03228d89-5cf3-42cd-9ece-936d37cd6da2" />
              <entityTags __type="TagList">
                <tags />
              </entityTags>
              <exitStateEffectTags />
              <Interactions>
                <SInteractionStateTransition __type="SInteractionStateTransition">
                  <Interaction __type="SSharedInteractionParams" available="1" conditionList="None" DisplayName="@interaction_close" DisplayType="Show" FocusModeOnly="0" GenericCursor="SingleAction" InheritsConditionDisplaysThroughLinks="0" Linkable="0" LinkingTag="00000000-0000-0000-0000-000000000000" LockedByLinks="0" Name="Close" RequiresAuthorizedUser="0" RoomTag="00000000-0000-0000-0000-000000000000" Sendable="0" UsableTag="00000000-0000-0000-0000-000000000000">
                    <QueryTags />
                  </Interaction>
                  <NextState __type="SInteractionState" enterGeometryTags="" EnterStateEffectGroup="" EnterStatePlaySequence="None" entityTags="structInstance_TagList_props:1" ExitStateEffectGroup="" ExitStatePlaySequence="None" StateAutoChange="None" StateName="Unlocked" stateTags="structInstance_TagList_props:1">
                    <EnterEventDispatchers />
                    <enterStateEffectTags />
                    <exitStateEffectTags />
                    <Interactions>
                      <SInteractionStateTransition>classReference_structure:SInteractionStateTransition</SInteractionStateTransition>
                    </Interactions>
                  </NextState>
                </SInteractionStateTransition>
              </Interactions>
              <StateAutoChange __type="SStateAutoChange" Delay="0.0">
                <NextState __type="SInteractionState" enterGeometryTags="" EnterStateEffectGroup="" EnterStatePlaySequence="None" entityTags="structInstance_TagList_props:1" ExitStateEffectGroup="" ExitStatePlaySequence="None" StateAutoChange="classReference_structure:SStateAutoChange" StateName="Closing" stateTags="structInstance_TagList_props:1">
                  <EnterEventDispatchers />
                  <enterStateEffectTags 03228d89-5cf3-42cd-9ece-936d37cd6da2="03228d89-5cf3-42cd-9ece-936d37cd6da2" />
                  <exitStateEffectTags />
                  <Interactions>
                    <SInteractionStateTransition>classReference_structure:SInteractionStateTransition</SInteractionStateTransition>
                  </Interactions>
                </NextState>
              </StateAutoChange>
              <stateTags __type="TagList">
                <tags />
              </stateTags>
            </SInteractionState>
          </States>
        </SInteractionStateType>
      </StateTypes>
    </SInteractionStateMachineParams>
    <SCInteractionStateGameplayTriggerComponentParams __type="DataForgeComponentParams" __polymorphicType="SCInteractionStateGameplayTriggerComponentParams">
      <onInteractionFailedTriggers />
      <onInteractionStateChangeTriggers>
        <SOnInteractionStateChangeTriggers __type="SOnInteractionStateChangeTriggers">
          <gameplayTriggers>
            <SResetKeypadInputGameplayTrigger __type="SBaseInteractionGameplayTrigger" __polymorphicType="SResetKeypadInputGameplayTrigger" />
            <SChangeInteractionStateGameplayTrigger __type="SBaseInteractionGameplayTrigger" __polymorphicType="SChangeInteractionStateGameplayTrigger">
              <targetState __type="SInteractionState" enterGeometryTags="" EnterStateEffectGroup="" EnterStatePlaySequence="None" entityTags="structInstance_TagList_props:1" ExitStateEffectGroup="" ExitStatePlaySequence="None" StateAutoChange="None" StateName="Main" stateTags="structInstance_TagList_props:1">
                <EnterEventDispatchers />
                <enterStateEffectTags />
                <exitStateEffectTags />
                <Interactions />
              </targetState>
            </SChangeInteractionStateGameplayTrigger>
          </gameplayTriggers>
          <targetState __type="SInteractionState" enterGeometryTags="" EnterStateEffectGroup="" EnterStatePlaySequence="None" entityTags="structInstance_TagList_props:1" ExitStateEffectGroup="" ExitStatePlaySequence="None" StateAutoChange="None" StateName="Reset" stateTags="structInstance_TagList_props:1">
            <EnterEventDispatchers />
            <enterStateEffectTags />
            <exitStateEffectTags />
            <Interactions />
          </targetState>
        </SOnInteractionStateChangeTriggers>
      </onInteractionStateChangeTriggers>
      <onInteractionSuccessTriggers />
    </SCInteractionStateGameplayTriggerComponentParams>
    <KeypadParams __type="DataForgeComponentParams" __polymorphicType="KeypadParams" attemptsUntilCodeReset="-1" autoFailOnInputLength="0" autoSuccessOnEnterKey="0" bespokeCode="1234" codeLength="4" randomCode="0" repeatKey="1" repeatKeyInCode="1" resetCodeOnSuccess="0" />
    <SEntityComponentSequencerParams __type="DataForgeComponentParams" __polymorphicType="SEntityComponentSequencerParams" resetSequence="None">
      <sequences>
        <SReplicatedSequencerDefSequenceParams __type="SSequencerDefSequenceParams" __polymorphicType="SReplicatedSequencerDefSequenceParams" interaction="classReference_structure:SSharedInteractionParams" name="KeypadSuccess">
          <taskEntries>
            <SSequencerSequenceTaskEntryParams>classReference_structure:SSequencerSequenceTaskEntryParams</SSequencerSequenceTaskEntryParams>
          </taskEntries>
        </SReplicatedSequencerDefSequenceParams>
        <SReplicatedSequencerDefSequenceParams __type="SSequencerDefSequenceParams" __polymorphicType="SReplicatedSequencerDefSequenceParams" name="Opening">
          <interaction __type="SSharedInteractionParams" available="1" conditionList="None" DisplayName="@interaction_open" DisplayType="Show" FocusModeOnly="0" GenericCursor="SingleAction" InheritsConditionDisplaysThroughLinks="0" Linkable="0" LinkingTag="00000000-0000-0000-0000-000000000000" LockedByLinks="0" Name="Open" RequiresAuthorizedUser="0" RoomTag="00000000-0000-0000-0000-000000000000" Sendable="0" UsableTag="00000000-0000-0000-0000-000000000000">
            <QueryTags />
          </interaction>
          <taskEntries>
            <SSequencerSequenceTaskEntryParams __type="SSequencerSequenceTaskEntryParams" haltOnFailure="1" postDelay="0.0">
              <dependentTasks />
              <task __type="SSequencerAnimationTaskParamsBase" __polymorphicType="SSequencerSkeletonAnimationTaskParams" animationName="open" layerId="0" looping="0" playbackSpeed="1.0" />
            </SSequencerSequenceTaskEntryParams>
          </taskEntries>
        </SReplicatedSequencerDefSequenceParams>
        <SReplicatedSequencerDefSequenceParams __type="SSequencerDefSequenceParams" __polymorphicType="SReplicatedSequencerDefSequenceParams" name="Closing">
          <interaction __type="SSharedInteractionParams" available="1" conditionList="None" DisplayName="@interaction_close" DisplayType="Show" FocusModeOnly="0" GenericCursor="SingleAction" InheritsConditionDisplaysThroughLinks="0" Linkable="0" LinkingTag="00000000-0000-0000-0000-000000000000" LockedByLinks="0" Name="Close" RequiresAuthorizedUser="0" RoomTag="00000000-0000-0000-0000-000000000000" Sendable="0" UsableTag="00000000-0000-0000-0000-000000000000">
            <QueryTags />
          </interaction>
          <taskEntries>
            <SSequencerSequenceTaskEntryParams __type="SSequencerSequenceTaskEntryParams" haltOnFailure="1" postDelay="0.0">
              <dependentTasks />
              <task __type="SSequencerAnimationTaskParamsBase" __polymorphicType="SSequencerSkeletonAnimationTaskParams" animationName="close" layerId="0" looping="0" playbackSpeed="1.0" />
            </SSequencerSequenceTaskEntryParams>
          </taskEntries>
        </SReplicatedSequencerDefSequenceParams>
      </sequences>
    </SEntityComponentSequencerParams>
    <SAnimationControllerParams __type="DataForgeComponentParams" __polymorphicType="SAnimationControllerParams" AnimationController="" AnimationDatabase="" AnimationJointControls="None" defaultAnimation="None">
      <AnimationControlActorIKs />
      <AnimationTasks>
        <SSequencerSkeletonAnimationTaskParams __type="SSequencerAnimationTaskParamsBase" __polymorphicType="SSequencerSkeletonAnimationTaskParams" animationName="open" layerId="0" looping="0" playbackSpeed="1.0" />
        <SSequencerSkeletonAnimationTaskParams __type="SSequencerAnimationTaskParamsBase" __polymorphicType="SSequencerSkeletonAnimationTaskParams" animationName="close" layerId="0" looping="0" playbackSpeed="1.0" />
      </AnimationTasks>
      <ScopeContexts />
      <Tags />
    </SAnimationControllerParams>
    <SEntityComponentDefaultLoadoutParams __type="DataForgeComponentParams" __polymorphicType="SEntityComponentDefaultLoadoutParams">
      <loadout __type="SItemPortLoadoutBaseParams" __polymorphicType="SItemPortLoadoutManualParams">
        <entries>
          <SItemPortLoadoutEntryParams __type="SItemPortLoadoutEntryParams" entityClassName="AttachSlot_Hardware_Fuse" inventoryContainer="None" itemPortName="Slot_01" loadout="None" />
          <SItemPortLoadoutEntryParams __type="SItemPortLoadoutEntryParams" entityClassName="AttachSlot_Hardware_Fuse" inventoryContainer="None" itemPortName="Slot_02" loadout="None" />
          <SItemPortLoadoutEntryParams __type="SItemPortLoadoutEntryParams" entityClassName="AttachSlot_Hardware_Fuse" inventoryContainer="None" itemPortName="Slot_03" loadout="None" />
          <SItemPortLoadoutEntryParams __type="SItemPortLoadoutEntryParams" entityClassName="ControlPanel_Screen_LightControl_16x9" inventoryContainer="None" itemPortName="Screen_01" loadout="None" />
          <SItemPortLoadoutEntryParams __type="SItemPortLoadoutEntryParams" entityClassName="Fusebox_cuttable_lock_template" inventoryContainer="None" itemPortName="Lock_01" loadout="None" />
        </entries>
        <InventoryItems />
      </loadout>
    </SEntityComponentDefaultLoadoutParams>
    <SItemPortContainerComponentParams __type="DataForgeComponentParams" __polymorphicType="SItemPortContainerComponentParams" masterController="None" PortFlags="" PortTags="" RequiredItemTags="">
      <InternalResourceLinks />
      <Ports>
        <SItemPortDef __type="SItemPortDef" control="None" controllableTag="" DefaultWeaponGroup="UNDEFINED" DisplayName="Slot_01" Extension="None" Flags="" InteractionPointSize="-1.0" MaxSize="0" MinSize="0" Name="Slot_01" PortTags="" RequiredPortTags="" resourceLinkToParent="0" useHelperAsInteractionPointName="0">
          <AttachmentImplementation __type="SItemPortDefAttachmentImplementationBase" __polymorphicType="SItemPortDefAttachmentImplementationEntity" hangarPort="0" useEntityAttachment="1" useExteriorAttachment="0" usePhysicalAttachment="0" usePhysicalParent="0">
            <constraintParams __type="SAttachmentConstraintParams" constrainFully="1" constraintHelper="" constraintMaintainOrientation="0" constrainToLine="0" constrainToPlane="0" damping="0.0" maxBendTorque="0.0" maxPullForce="0.0" noRotation="1" noSelfCollisions="1" useWorldConstraintPosition="0" xMax="0.0" xMin="0.0" yzMax="0.0" />
            <Helper __type="SItemPortDefHelperNode" Tags="">
              <Helper __type="SItemPortDefHelper" ItemOffsetHelperName="" Name="$slot_01" SimulationParams="None">
                <Offset __type="QuatT">
                  <Position __type="Vec3" x="0.0" y="0.0" z="0.0" />
                  <Rotation __type="Ang3" x="0.0" y="0.0" z="0.0" />
                </Offset>
              </Helper>
              <SubHelpers />
            </Helper>
          </AttachmentImplementation>
          <AttachmentPoints />
          <Connections />
          <DisabledPortLinks />
          <InteractionPointOffset __type="Vec3" x="0.0" y="0.0" z="0.0" />
          <linkedItemPorts />
          <Tags />
          <Types />
        </SItemPortDef>
        <SItemPortDef __type="SItemPortDef" control="None" controllableTag="" DefaultWeaponGroup="UNDEFINED" DisplayName="Slot_02" Extension="None" Flags="" InteractionPointSize="-1.0" MaxSize="0" MinSize="0" Name="Slot_02" PortTags="" RequiredPortTags="" resourceLinkToParent="0" useHelperAsInteractionPointName="0">
          <AttachmentImplementation __type="SItemPortDefAttachmentImplementationBase" __polymorphicType="SItemPortDefAttachmentImplementationEntity" hangarPort="0" useEntityAttachment="1" useExteriorAttachment="0" usePhysicalAttachment="0" usePhysicalParent="0">
            <constraintParams __type="SAttachmentConstraintParams" constrainFully="1" constraintHelper="" constraintMaintainOrientation="0" constrainToLine="0" constrainToPlane="0" damping="0.0" maxBendTorque="0.0" maxPullForce="0.0" noRotation="1" noSelfCollisions="1" useWorldConstraintPosition="0" xMax="0.0" xMin="0.0" yzMax="0.0" />
            <Helper __type="SItemPortDefHelperNode" Tags="">
              <Helper __type="SItemPortDefHelper" ItemOffsetHelperName="" Name="$slot_02" SimulationParams="None">
                <Offset __type="QuatT">
                  <Position __type="Vec3" x="0.0" y="0.0" z="0.0" />
                  <Rotation __type="Ang3" x="0.0" y="0.0" z="0.0" />
                </Offset>
              </Helper>
              <SubHelpers />
            </Helper>
          </AttachmentImplementation>
          <AttachmentPoints />
          <Connections />
          <DisabledPortLinks />
          <InteractionPointOffset __type="Vec3" x="0.0" y="0.0" z="0.0" />
          <linkedItemPorts />
          <Tags />
          <Types />
        </SItemPortDef>
        <SItemPortDef __type="SItemPortDef" control="None" controllableTag="" DefaultWeaponGroup="UNDEFINED" DisplayName="Slot_03" Extension="None" Flags="" InteractionPointSize="-1.0" MaxSize="0" MinSize="0" Name="Slot_03" PortTags="" RequiredPortTags="" resourceLinkToParent="0" useHelperAsInteractionPointName="0">
          <AttachmentImplementation __type="SItemPortDefAttachmentImplementationBase" __polymorphicType="SItemPortDefAttachmentImplementationEntity" hangarPort="0" useEntityAttachment="1" useExteriorAttachment="0" usePhysicalAttachment="0" usePhysicalParent="0">
            <constraintParams __type="SAttachmentConstraintParams" constrainFully="1" constraintHelper="" constraintMaintainOrientation="0" constrainToLine="0" constrainToPlane="0" damping="0.0" maxBendTorque="0.0" maxPullForce="0.0" noRotation="1" noSelfCollisions="1" useWorldConstraintPosition="0" xMax="0.0" xMin="0.0" yzMax="0.0" />
            <Helper __type="SItemPortDefHelperNode" Tags="">
              <Helper __type="SItemPortDefHelper" ItemOffsetHelperName="" Name="$slot_03" SimulationParams="None">
                <Offset __type="QuatT">
                  <Position __type="Vec3" x="0.0" y="0.0" z="0.0" />
                  <Rotation __type="Ang3" x="0.0" y="0.0" z="0.0" />
                </Offset>
              </Helper>
              <SubHelpers />
            </Helper>
          </AttachmentImplementation>
          <AttachmentPoints />
          <Connections />
          <DisabledPortLinks />
          <InteractionPointOffset __type="Vec3" x="0.0" y="0.0" z="0.0" />
          <linkedItemPorts />
          <Tags />
          <Types />
        </SItemPortDef>
        <SItemPortDef __type="SItemPortDef" control="None" controllableTag="" DefaultWeaponGroup="UNDEFINED" DisplayName="Screen_01" Extension="None" Flags="" InteractionPointSize="-1.0" MaxSize="4" MinSize="0" Name="Screen_01" PortTags="" RequiredPortTags="" resourceLinkToParent="0" useHelperAsInteractionPointName="0">
          <AttachmentImplementation __type="SItemPortDefAttachmentImplementationBase" __polymorphicType="SItemPortDefAttachmentImplementationEntity" hangarPort="0" useEntityAttachment="1" useExteriorAttachment="0" usePhysicalAttachment="0" usePhysicalParent="0">
            <constraintParams __type="SAttachmentConstraintParams" constrainFully="1" constraintHelper="" constraintMaintainOrientation="0" constrainToLine="0" constrainToPlane="0" damping="0.0" maxBendTorque="0.0" maxPullForce="0.0" noRotation="1" noSelfCollisions="1" useWorldConstraintPosition="0" xMax="0.0" xMin="0.0" yzMax="0.0" />
            <Helper __type="SItemPortDefHelperNode" Tags="">
              <Helper __type="SItemPortDefHelper" ItemOffsetHelperName="" Name="$slot_screen_01" SimulationParams="None">
                <Offset __type="QuatT">
                  <Position __type="Vec3" x="0.0" y="0.0" z="0.0" />
                  <Rotation __type="Ang3" x="0.0" y="0.0" z="0.0" />
                </Offset>
              </Helper>
              <SubHelpers />
            </Helper>
          </AttachmentImplementation>
          <AttachmentPoints />
          <Connections />
          <DisabledPortLinks />
          <InteractionPointOffset __type="Vec3" x="0.0" y="0.0" z="0.0" />
          <linkedItemPorts />
          <Tags />
          <Types />
        </SItemPortDef>
        <SItemPortDef __type="SItemPortDef" control="None" controllableTag="" DefaultWeaponGroup="UNDEFINED" DisplayName="Lock_01" Extension="None" Flags="" InteractionPointSize="-1.0" MaxSize="4" MinSize="0" Name="Lock_01" PortTags="" RequiredPortTags="" resourceLinkToParent="0" useHelperAsInteractionPointName="0">
          <AttachmentImplementation __type="SItemPortDefAttachmentImplementationBase" __polymorphicType="SItemPortDefAttachmentImplementationBone">
            <Helper __type="SItemPortDefHelperNode" Tags="">
              <Helper __type="SItemPortDefHelper" ItemOffsetHelperName="" Name="$slot_lock_01" SimulationParams="None">
                <Offset __type="QuatT">
                  <Position __type="Vec3" x="0.0" y="0.0" z="0.0" />
                  <Rotation __type="Ang3" x="0.0" y="0.0" z="0.0" />
                </Offset>
              </Helper>
              <SubHelpers />
            </Helper>
          </AttachmentImplementation>
          <AttachmentPoints />
          <Connections />
          <DisabledPortLinks />
          <InteractionPointOffset __type="Vec3" x="0.0" y="0.0" z="0.0" />
          <linkedItemPorts />
          <Tags />
          <Types />
        </SItemPortDef>
      </Ports>
    </SItemPortContainerComponentParams>
    <SInteractionLinkParams __type="DataForgeComponentParams" __polymorphicType="SInteractionLinkParams">
      <linkPlugs />
      <vehicleItemPortInteractionLinks />
    </SInteractionLinkParams>
  </Components>
  <StaticEntityClassData />
  <tags />
</EntityClassDefinition.Fusebox_keypad_freestanding_template>